#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gnutls
Version		:	3.8.0
Release		:	14.4.0.0%{?dist}
Summary		:	A TLS protocol implementation
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+ and LGPLv2+
URL		:	https://www.gnupg.org/ftp/gcrypt/gnutls/v3.5/

Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	libunistring
BuildRequires	:	libtasn1-devel
BuildRequires	:	p11-kit-devel
BuildRequires	:	nettle	>= 3.5.1
BuildRequires	:	make-ca

#-----------------------------------------------------------------------------
%description
The GnuTLS package contains libraries and userspace tools which provide a
secure layer over a reliable transport layer. Currently the GnuTLS library
implements the proposed standards by the IETF's TLS working group. Quoting
from the TLS protocol specification:

The TLS protocol provides communications privacy over the Internet. The
protocol allows client/server applications to communicate in a way that is
designed to prevent eavesdropping, tampering, or message forgery

GnuTLS provides support for TLS 1.2, TLS 1.1, TLS 1.0, and SSL 3.0 protocols,
TLS extensions, including server name and max record size. Additionally, the
library supports authentication using the SRP protocol, X.509 certificates
and OpenPGP keys, along with support for the TLS Pre-Shared-Keys (PSK)
extension, the Inner Application (TLS/IA) extension and X.509 and OpenPGP
certificate handling. 

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)
%doc AUTHORS LICENSE NEWS THANKS
%{_includedir}/%{name}/*.h
%{_bindir}/%{name}-*
%{_bindir}/certtool
%{_bindir}/ocsptool
%{_bindir}/p11tool
%{_bindir}/psktool
#{_bindir}/srptool
%{_libdir}/lib%{name}.so*
%{_libdir}/lib%{name}xx.so*
%{_libdir}/pkgconfig/%{name}.pc
%{_defaultdocdir}/%{name}-%{version}/%{name}-*.png
%{_defaultdocdir}/%{name}-%{version}/pkcs11-vision.png
%{_datadir}/info/%{name}*.gz
%{_datadir}/info/pkcs11-vision.png.gz
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-guile 				\
	--with-default-trust-store-pkcs11="pkcs11:"	\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

#cleaning empty directory
%{__rm}  %{buildroot}/%{_datadir}/info/dir

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
